<?php
use Assetic\Asset\AssetCache;
use Assetic\Cache\FilesystemCache;
use Assetic\Asset\AssetCollection;
use Assetic\Asset\FileAsset;
use Assetic\Asset\GlobAsset;
use Assetic\Filter\Yui;

spl_autoload_register(
    function($className)
    {
        $className = str_replace("_", "\\", $className);
        $className = ltrim($className, '\\');
        $fileName = '';
        $namespace = '';
        if ($lastNsPos = strripos($className, '\\'))
        {
            $namespace = substr($className, 0, $lastNsPos);
            $className = substr($className, $lastNsPos + 1);
            $fileName = '../prototype/library/' . str_replace('\\', DIRECTORY_SEPARATOR, $namespace) . DIRECTORY_SEPARATOR;
        }
        $fileName .= str_replace('_', DIRECTORY_SEPARATOR, $className) . '.php';

        require $fileName;
    }
);

$compressor = new Yui\CssCompressorFilter('../prototype/library/yuicompressor/yuicompressor.jar');
$css = new AssetCache(new AssetCollection(array(
            new FileAsset('../prototype/plugins/freeow/style/freeow/freeow.css'),
            new FileAsset('../phpgwapi/js/dftree/dftree.css'),
            new FileAsset('../prototype/plugins/farbtastic/farbtastic.css'),
            new FileAsset('../prototype/plugins/jqgrid/themes/prognusone/jquery-ui-1.8.2.custom.css'),
            new FileAsset('../prototype/modules/mail/css/foldertree.css'),
            new FileAsset('../prototype/modules/calendar/css/layout.css'),
            new FileAsset('../prototype/plugins/jquery.spinner/jquery.spinner.css'),
            new FileAsset('../prototype/plugins/fullcalendar/fullcalendar.css'),
            new FileAsset('../prototype/plugins/fullcalendar/fullcalendar.print.css'),
            new FileAsset('../prototype/plugins/icalendar/jquery.icalendar.css'),
            new FileAsset('../prototype/plugins/jquery.jrating/jRating.jquery.css'),
            new FileAsset('../prototype/plugins/timepicker/jquery-ui-timepicker-addon.css')  
        ),array($compressor)
    ),new FilesystemCache('/tmp')
);

echo $css->dump();

?>